com.independentsoft.exchange

## Enum UserPhotoSizeType

- java.lang.Object
- - java.lang.Enum<UserPhotoSizeType>
  - - com.independentsoft.exchange.UserPhotoSizeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UserPhotoSizeType>

      public enum UserPhotoSizeType
      extends java.lang.Enum<UserPhotoSizeType>

  The Enum UserPhotoSizeType.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HR120x120`
    `HR240x240`
    `HR360x360`
    `HR432x432`
    `HR48x48`
    `HR504x504`
    `HR648x648`
    `HR64x64`
    `HR96x96`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserPhotoSizeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UserPhotoSizeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HR48x48

          public static final UserPhotoSizeType HR48x48

    - #### HR64x64

          public static final UserPhotoSizeType HR64x64

    - #### HR96x96

          public static final UserPhotoSizeType HR96x96

    - #### HR120x120

          public static final UserPhotoSizeType HR120x120

    - #### HR240x240

          public static final UserPhotoSizeType HR240x240

    - #### HR360x360

          public static final UserPhotoSizeType HR360x360

    - #### HR432x432

          public static final UserPhotoSizeType HR432x432

    - #### HR504x504

          public static final UserPhotoSizeType HR504x504

    - #### HR648x648

          public static final UserPhotoSizeType HR648x648

  - ### Method Detail

    - #### values

          public static UserPhotoSizeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserPhotoSizeType c : UserPhotoSizeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserPhotoSizeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null